Subject: Re: [X2Go-Dev] Bug#276: Bug#276: qt/kde applications does not work as root.

From: Pascal d'Hermilly <[email-masked]>
Date: Wed, 31 Jul 2013 10:33:16 +0200

Den 31-07-2013 09:08, Mike Gabriel skrev:
>>>
>>
>> Can you copy/paste the content of your /etc/sudoers? I just tried to add
>> this line after Defaults and doesn't work for me. I also tried to comment
>> Defaults
>
> Yes, that would be good. Please provide a file that works when being placed into /etc/sudoers.d/. 

Actually mine broke again, because I apparently didn't use visudo. Anyway, I made a 3-step guide for getting it to work. This time I tested after a restart ;-)
Do as root:

echo "Defaults        env_keep +=\"QT_GRAPHICSSYSTEM\"" > /etc/sudoers.d/X2Go
chmod 0440 /etc/sudoers.d/X2Go
service sudo restart